> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Resident Appointment: MRI

POST https://api.propexo.com/v1/events/appointments/residents/mri/
Content-Type: application/json

Create Resident Appointment: MRI| Method                                                    |
| --------------------------------------------------------- |
| /mriapiservices/api.asp?\$api=MRI\_S-PMRM\_CreateRmAction |This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Reference: https://docs.propexo.com/api-reference/mri/appointments/create-resident-appointment-mri

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_events_appointments_residents_mri__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `resident_id` (string, required) — The Propexo unique identifier for the resident
- `appointment_date` (V1EventsAppointmentsResidentsMriPostInputAppointmentDate, required) — The date when the appointment will occur
- `appointment_time` (string, optional) — The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones
- `employee_id` (string, optional) — The Propexo unique identifier for the employee. Must have a role of LEASING_AGENT
- `status` (enum, optional) — The raw status associated with the event
  - Allowed values: `COMPLETED`, `OPEN`, `REVIEW`, `DENIED`
- `notes` (string, optional) — Notes associated with the event

## Response

### 200

Successful response

- `meta` (V1EventsAppointmentsResidentsMriPostOutputMeta, required)
- `result` (V1EventsAppointmentsResidentsMriPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1EventsAppointmentsResidentsMriPostInputAppointmentDate

The date when the appointment will occur

### V1EventsAppointmentsResidentsMriPostOutputMeta

- `job_id` (string, required)

### V1EventsAppointmentsResidentsMriPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `resident_id` (string, required) — The Propexo unique identifier for the resident
- `appointment_date` (V1EventsAppointmentsResidentsMriPostOutputResultAppointmentDate, required, nullable)
- `appointment_time` (string, required, nullable) — The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones
- `employee_id` (string, required, nullable) — The Propexo unique identifier for the employee. Must have a role of LEASING_AGENT
- `status` (enum, required) — The raw status associated with the event
  - Allowed values: `COMPLETED`, `OPEN`, `REVIEW`, `DENIED`
- `notes` (string, required, nullable) — Notes associated with the event

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1EventsAppointmentsResidentsMriPostOutputResultAppointmentDate

## Examples

**Request**

```json
{
  "integration_id": "intg-9f8b7c6d5e4a3b2c",
  "resident_id": "res-1234567890abcdef",
  "appointment_date": "2024-01-15T09:30:00Z"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-20240115-093000-xyz123"
  },
  "result": {
    "integration_id": "intg-9f8b7c6d5e4a3b2c",
    "resident_id": "res-1234567890abcdef",
    "appointment_date": "2024-01-15T09:30:00Z",
    "appointment_time": "09:30:00",
    "employee_id": "emp-4567abcd1234efgh",
    "status": "COMPLETED",
    "notes": "MRI appointment successfully scheduled and completed."
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/events/appointments/residents/mri/"

payload = {
    "integration_id": "intg-9f8b7c6d5e4a3b2c",
    "resident_id": "res-1234567890abcdef",
    "appointment_date": "2024-01-15T09:30:00Z"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/events/appointments/residents/mri/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg-9f8b7c6d5e4a3b2c","resident_id":"res-1234567890abcdef","appointment_date":"2024-01-15T09:30:00Z"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/events/appointments/residents/mri/"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c\",\n  \"resident_id\": \"res-1234567890abcdef\",\n  \"appointment_date\": \"2024-01-15T09:30:00Z\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/events/appointments/residents/mri/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c\",\n  \"resident_id\": \"res-1234567890abcdef\",\n  \"appointment_date\": \"2024-01-15T09:30:00Z\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/events/appointments/residents/mri/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c\",\n  \"resident_id\": \"res-1234567890abcdef\",\n  \"appointment_date\": \"2024-01-15T09:30:00Z\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/events/appointments/residents/mri/', [
  'body' => '{
  "integration_id": "intg-9f8b7c6d5e4a3b2c",
  "resident_id": "res-1234567890abcdef",
  "appointment_date": "2024-01-15T09:30:00Z"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/events/appointments/residents/mri/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c\",\n  \"resident_id\": \"res-1234567890abcdef\",\n  \"appointment_date\": \"2024-01-15T09:30:00Z\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "intg-9f8b7c6d5e4a3b2c",
  "resident_id": "res-1234567890abcdef",
  "appointment_date": "2024-01-15T09:30:00Z"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/events/appointments/residents/mri/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```